Bug 1405322 (CVE-2016-9963)

Summary: CVE-2016-9963 exim: Possible information disclosure to remote atacker
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dwmw2, jskarvad, tremble
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that Exim leaked DKIM signing private keys to the "mainlog" log file. As a result, an attacker with access to system log files could potentially access these leaked DKIM private keys.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:04:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1405323, 1405324    
Bug Blocks:    

Description Adam Mariš 2016-12-16 08:32:20 UTC
Under certain circumstances it's possible for remote attacker to leak private information.

Affected versions: 4.69 -> 4.87

Upstream bug:

https://bugs.exim.org/show_bug.cgi?id=1996

CVE assignment:

http://seclists.org/oss-sec/2016/q4/694

Comment 1 Adam Mariš 2016-12-16 08:32:51 UTC
Created exim tracking bugs for this issue:

Affects: fedora-all [bug 1405323]
Affects: epel-all [bug 1405324]

Comment 2 Huzaifa S. Sidhpurwala 2017-01-04 10:18:57 UTC
External Reference:

https://exim.org/static/doc/CVE-2016-9963.txt

Comment 3 Huzaifa S. Sidhpurwala 2017-01-04 10:26:40 UTC
Statement:

This flaw does not affect the version of Exim shipped with Red Hat Enterprise Linux 5 because it is not built with DKIM (DomainKeys Identified Mail) support.